Permalink
Browse files

updated minimum PHP version to 5.3.3

5.3.3 has some interesting fixes and this is the version used by
Redhat 6 and Debian 6
  • Loading branch information...
1 parent cc85a6e commit 3719c7087042d77a9dec5eb89f64c2a1732b3748 @fabpot fabpot committed May 7, 2012
Showing with 34 additions and 42 deletions.
  1. +1 −1 README.md
  2. +1 −1 composer.json
  3. +1 −1 src/Symfony/Bridge/Doctrine/composer.json
  4. +1 −1 src/Symfony/Bridge/Monolog/composer.json
  5. +1 −1 src/Symfony/Bridge/Propel1/composer.json
  6. +1 −1 src/Symfony/Bridge/Swiftmailer/composer.json
  7. +1 −1 src/Symfony/Bridge/Twig/composer.json
  8. +0 −4 src/Symfony/Bundle/FrameworkBundle/Tests/HttpKernelTest.php
  9. +1 −1 src/Symfony/Bundle/FrameworkBundle/composer.json
  10. +1 −1 src/Symfony/Bundle/SecurityBundle/composer.json
  11. +1 −1 src/Symfony/Bundle/TwigBundle/composer.json
  12. +1 −1 src/Symfony/Bundle/WebProfilerBundle/composer.json
  13. +1 −1 src/Symfony/Component/BrowserKit/composer.json
  14. +1 −1 src/Symfony/Component/ClassLoader/composer.json
  15. +1 −1 src/Symfony/Component/Config/composer.json
  16. +1 −1 src/Symfony/Component/Console/composer.json
  17. +1 −1 src/Symfony/Component/CssSelector/composer.json
  18. +1 −1 src/Symfony/Component/DependencyInjection/composer.json
  19. +1 −1 src/Symfony/Component/DomCrawler/composer.json
  20. +1 −1 src/Symfony/Component/EventDispatcher/composer.json
  21. +1 −1 src/Symfony/Component/Filesystem/composer.json
  22. +1 −1 src/Symfony/Component/Finder/composer.json
  23. +0 −4 src/Symfony/Component/Form/Tests/Util/FormUtilTest.php
  24. +1 −1 src/Symfony/Component/Form/composer.json
  25. +1 −1 src/Symfony/Component/HttpFoundation/composer.json
  26. +1 −1 src/Symfony/Component/HttpKernel/composer.json
  27. +2 −2 src/Symfony/Component/Locale/composer.json
  28. +1 −1 src/Symfony/Component/Process/composer.json
  29. +1 −1 src/Symfony/Component/Routing/composer.json
  30. +1 −1 src/Symfony/Component/Security/composer.json
  31. +1 −1 src/Symfony/Component/Serializer/composer.json
  32. +1 −1 src/Symfony/Component/Templating/composer.json
  33. +1 −1 src/Symfony/Component/Translation/composer.json
  34. +1 −1 src/Symfony/Component/Validator/composer.json
  35. +1 −1 src/Symfony/Component/Yaml/composer.json
View
@@ -16,7 +16,7 @@ to high traffic ones like Dailymotion or Yahoo! Answers.
Requirements
------------
-Symfony2 is only supported on PHP 5.3.2 and up.
+Symfony2 is only supported on PHP 5.3.3 and up.
Installation
------------
View
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"twig/twig": ">=1.1,<2.0-dev"
},
"replace": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"doctrine/common": "2.2.*"
},
"suggest": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/http-kernel": "self.version",
"monolog/monolog": "1.*"
},
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/http-foundation": "self.version",
"symfony/http-kernel": "self.version",
"symfony/form": "self.version",
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"swiftmailer/swiftmailer": ">=4.1.2,<4.2-dev"
},
"suggest": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"twig/twig": ">=1.1,<2.0-dev"
},
"suggest": {
@@ -169,10 +169,6 @@ public function getProviderTypes()
public function testExceptionInSubRequestsDoesNotMangleOutputBuffers()
{
- if (version_compare(phpversion(), '5.3.3', '<')) {
- $this->markTestSkipped('Test fails with PHP 5.3.2 due to https://bugs.php.net/bug.php?id=50563');
- }
-
$request = new Request();
$container = $this->getMock('Symfony\\Component\\DependencyInjection\\ContainerInterface');
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/dependency-injection" : "self.version",
"symfony/config" : "self.version",
"symfony/event-dispatcher": "self.version",
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/security": "self.version"
},
"autoload": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/twig-bridge": "self.version"
},
"autoload": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/twig-bundle": "self.version"
},
"autoload": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/dom-crawler": "2.1.*"
},
"require-dev": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"require-dev": {
"symfony/finder": "2.1.*"
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Config": "" }
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Console": "" }
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\CssSelector": "" }
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"require-dev": {
"symfony/yaml": "2.1.*",
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"require-dev": {
"symfony/css-selector": "2.1.*"
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"require-dev": {
"symfony/dependency-injection": "2.1.*"
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Filesystem": "" }
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Finder": "" }
@@ -40,10 +40,6 @@ public function testIsChoiceGroup($expected, $value)
public function testIsChoiceGroupPart2()
{
- if (version_compare(PHP_VERSION, '5.3.2') <= 0) {
- $this->markTestSkipped('PHP prior to 5.3.3 has issue with SplFixedArrays - https://bugs.php.net/bug.php?id=50481');
- }
-
$this->assertTrue(FormUtil::isChoiceGroup(new \SplFixedArray(1)));
}
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/event-dispatcher": "2.1.*",
"symfony/locale": "2.1.*"
},
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/event-dispatcher": "2.1.*",
"symfony/http-foundation": "2.1.*"
},
@@ -16,10 +16,10 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"suggest": {
- "ext-intl": ">=5.3.2"
+ "ext-intl": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Locale": "" }
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Process": "" }
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"require-dev": {
"symfony/config": "2.1.*",
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"symfony/event-dispatcher": "2.1.*",
"symfony/http-foundation": "2.1.*",
"symfony/http-kernel": "2.1.*"
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Serializer": "" }
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Templating": "" }
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"require-dev": {
"symfony/config": "2.1.*",
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2",
+ "php": ">=5.3.3",
"doctrine/common": ">=2.1,<2.3"
},
"require-dev": {
@@ -16,7 +16,7 @@
}
],
"require": {
- "php": ">=5.3.2"
+ "php": ">=5.3.3"
},
"autoload": {
"psr-0": { "Symfony\\Component\\Yaml": "" }

0 comments on commit 3719c70

Please sign in to comment.